Subject: Re: bug#51371: 28.0.50; [PATCH] Make list-colors-display sorting support general

From: Stefan Kangas <[email-masked]>
Date: Sat, 30 Oct 2021 08:40:34 -0700

close 51371 29.1
thanks

dalanicolai <[email-masked]> writes:

> I see, it is called when setting the face foreground/background via the customize menu.
> I've tested it, and it works still perfectly fine (as expected... predicting the expected
> effects/implications in this case seems quite straightforward to me).

OK, I think you are correct, and furthermore a caller can disable
sorting themselves by let-binding `list-colors-sort'.  So I've pushed
your patch to master, after fixing it up to follow our conventions for
ChangeLog, etc.  (See commit eb07b3d9b3.)

However, I skipped this hunk,

    @@ -542,8 +542,7 @@ list-colors-display
     colors that the current display can handle.  Customize
     `list-colors-sort' to change the order in which colors are shown.
     Type \\<help-mode-map>\\[revert-buffer] after customizing \
    -`list-colors-sort' to redisplay colors in
    -the new order.
    +`list-colors-sort' to redisplay colors in the new order.

     If the optional argument BUFFER-NAME is nil, it defaults to \"*Colors*\".

as it would lead to this incorrectly filled docstring,

    Display names of defined colors, and show what they look like.
    If the optional argument LIST is non-nil, it should be a list of
    colors to display.  Otherwise, this command computes a list of
    colors that the current display can handle.  Customize
    ‘list-colors-sort’ to change the order in which colors are shown.
    Type g after customizing ‘list-colors-sort’ to redisplay colors in
the new order.

You had missed that "\" character, which indicates a continued line.

In the future, you could send the patch using "git format-patch -1 HEAD"
to get a full git patch with your author details already filled in.
That makes it easier for us to install.  Thanks for the patch!